<?xml version="1.0" encoding="UTF-8"?>
<FindBugsFilter>
    <Match>
        <!-- spotbugs message is Possible null pointer dereference of Kino.kinoSaele in equals method.
             But the if statements before that line guarantee not null. -->
        <Class name="de.accso.flexinale.backoffice.api_contract.event.model.KinoTO" />
        <Bug pattern="NP_NULL_ON_SOME_PATH_MIGHT_BE_INFEASIBLE" />
    </Match>
    <Match>
        <!-- spotbugs message is ... may expose internal representation by returning KinoTO.kinoSaele  -->
        <Class name="de.accso.flexinale.backoffice.api_contract.event.model.KinoTO" />
        <Bug pattern="EI_EXPOSE_REP" />
    </Match>
    <Match>
        <!-- spotbugs message is ... may expose internal representation by returning KinoTO.kinoSaele  -->
        <Class name="de.accso.flexinale.backoffice.api_contract.event.model.KinoTO" />
        <Bug pattern="EI_EXPOSE_REP2"/>
    </Match>
</FindBugsFilter>